-- create new deposit table
CREATE TABLE deposit (
	depositid BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL,
	uuid VARCHAR(36) NOT NULL,
	created TIMESTAMP NOT NULL,
	updated TIMESTAMP,
	clientid BIGINT,
	date TIMESTAMP,
	amount NUMERIC,
	currency VARCHAR(255),
	notes VARCHAR(250),
	reference VARCHAR(25),
	paymentid BIGINT,
	PRIMARY KEY(depositid),
	CONSTRAINT fk_deposit_clientid FOREIGN KEY (clientid) REFERENCES PUBLIC.client(clientid),
	CONSTRAINT fk_deposit_paymentid FOREIGN KEY (paymentid) REFERENCES PUBLIC.payment(paymentid)
);

-- add deposit column
ALTER TABLE payment ADD depositid BIGINT;
ALTER TABLE payment ADD CONSTRAINT fk_payment_depositid FOREIGN KEY (depositid) REFERENCES PUBLIC.deposit(depositid);